## com.bbn.openmap.omGraphics.event
Interface SelectionProvider

All Known Implementing Classes:
  OMDrawingTool

public interface SelectionProvider

An interface to define an object that can generate SelectionEvents for OMGraphics. A SelectionListener would hook up to a SelectionProvider to find out when OMGraphics are selected and deselected.

Method Summary
`void` `addSelectionListener(SelectionListener listener)`
`void` `clearSelectionListeners()`
`void` `removeSelectionListener(SelectionListener listener)`

Method Detail

### addSelectionListener

    public void addSelectionListener(SelectionListener listener)

### removeSelectionListener

    public void removeSelectionListener(SelectionListener listener)

### clearSelectionListeners

    public void clearSelectionListeners()

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details